//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "stdio.h"
#include "jpeg.hpp"
#include "GCat1.h"
#include "Unit6.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm6 *Form6;

extern AnsiString FNAM;
extern char kamma[100];

//---------------------------------------------------------------------------
__fastcall TForm6::TForm6(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------

#define giga 1000000000.0
#define mega 1000000
#define kilo 1000

void  conv(float d)
{  int d0,d1,d2,d3;
   float r1,r2;

  d0=d/giga;
  r1=d-d0*giga;
  d1=(r1/mega);
  r2=r1-d1*mega;

  d2=r2/kilo;
  d3=r2-d2*kilo;

  if(d0 !=0)
   { sprintf(kamma,"%d,%03d,%03d,%03d Byte",d0,d1,d2,d3); }  //giga
  else
   if(d1==0)
    if(d2==0)
     {sprintf(kamma,"%d Byte",d3); }
    else
    {sprintf(kamma,"%d,%03d Byte",d2,d3);} //kilo
   else
    { sprintf(kamma,"%d,%03d,%03d Byte",d1,d2,d3); } //mega
  return;
}
#undef giga;
#undef mega;
#undef kilo;

void __fastcall TForm6::FormActivate(TObject *Sender)
{
 TJPEGImage *jpg;
 Graphics::TBitmap *bmp;
 AnsiString path,ext,buf;
 int w,h,size;
 WIN32_FIND_DATA dat;


 FindFirstFile(FNAM.c_str(),&dat);
 size=dat.nFileSizeLow;

 conv((float) size);

 jpg=new TJPEGImage;
 bmp=new Graphics::TBitmap;

 ext=ExtractFileExt(FNAM);

 if((ext.UpperCase() !=".BMP") &&(ext.UpperCase() !=".JPG")) return;

 if(ext.UpperCase()==".JPG")
  {
     jpg->LoadFromFile(FNAM);
     bmp->Assign(jpg);
  }
 else
  {
     bmp->LoadFromFile(FNAM);
  }
 switch(bmp->PixelFormat)
  {
   case pf24bit:
     Label8->Caption="24Bit";
     break;
   case pf32bit:
     Label8->Caption="32Bit";
     break;
   case pf16bit:
     Label8->Caption="16Bit";
     break;
   case pf8bit:
     Label8->Caption="8Bit";
     break;
   case pf4bit:
     Label8->Caption="4Bit";
     break;
   case pf1bit:
     Label8->Caption="1Bit";
     break;
   case pfCustom:
     Label8->Caption="pfCustom";
     break;
   case pfDevice:
     Label8->Caption="pfDevice";
     break;
  }

 w=bmp->Width;
 h=bmp->Height;

 Label2->Caption=FNAM;
 buf=IntToStr(w);
 buf=buf+"*";
 buf=buf+h;
 Label4->Caption=buf;

 Label6->Caption=kamma;

 delete jpg;
 delete bmp;
}
//---------------------------------------------------------------------------
void __fastcall TForm6::Button1Click(TObject *Sender)
{
 Close();
}
//---------------------------------------------------------------------------




